
@echo off
if (%OS%) == (Windows_NT) setlocal
set JAVA_HOME=C:\Program Files\Oracle\jre\1.1.7

set args=
set addclasspath=
:loop
if (%1)==() goto end
if (%1)==(-classpath) goto incr_classpath
if (%1)==(-addclasspath) goto incr_classpath
   set args=%args% %1
   shift
   goto loop
:incr_classpath
   if (%addclasspath%)==() goto firsttime
   set addclasspath=%addclasspath%;%2
   shift
   shift
   goto loop
:firsttime
   set addclasspath=%2
   shift
   shift
   goto loop
:end

set JRECLASSPATH="C:\Program Files\Oracle\jre\1.1.7\lib\rt.jar;C:\Program Files\Oracle\jre\1.1.7\lib\i18n.jar;d:\oracle\ora81\lib\aurora_client.jar;d:\oracle\ora81\jlib\javax-ssl-1_1.jar;d:\oracle\ora81\jlib\jssl-1_1.jar;d:\oracle\ora81\lib\vbjtools.jar;d:\oracle\ora81\lib\vbjorb.jar;d:\oracle\ora81\lib\vbjapp.jar"

if (%addclasspath%) == () goto no_user_class
set JRECLASSPATH=%JRECLASSPATH%;%addclasspath%
:no_user_class
set JRECLASSPATH=%JRECLASSPATH%;%CLASSPATH%

set PROPERTIES=-Dorg.omg.CORBA.ORBClass=com.visigenic.vbroker.orb.ORB -Dorg.omg.CORBA.ORBSingletonClass=com.visigenic.vbroker.orb.ORB -DORBdisableLocator

"C:\Program Files\Oracle\jre\1.1.7\bin\jre" %PROPERTIES% -classpath %JRECLASSPATH% com.visigenic.vbroker.tools.idl2java %args%

if (%OS%) == (Windows_NT) endlocal
